<app-loading *ngIf="isLoading"></app-loading>
<nz-card>
<div class="action-breadcrumb-float-right" *ngIf="typeAction === screenType.update">
  <mb-button [disabled]="isLoading"
             mbButtonSize="LARGE"
             mbButtonAvailableStyle="PRIMARY"
             (click)="saveInterview(false)"
  mbButtonText="{{ 'development.interview-config.buttonAction.save' | translate }}">
  </mb-button>
  <mb-button mbButtonSize="LARGE"
             mbButtonAvailableStyle="BORDER"
             (click)="saveInterview(true)"
  mbButtonText="{{ 'development.interview-config.buttonAction.sendResult' | translate }}">
  </mb-button>
</div>
<form [formGroup]="formInterview">
  <ng-container formArrayName="optionGroups">
    <nz-table
      class="data-table-update-interview"
      #basicTable
      [nzData]="[{}]"
      [nzShowPagination]="false"
      [nzScroll]="{ x: '270vw' }"
    >
      <thead>
        <tr>
          <th scope="col" nzWidth="50px" class="text-center" rowspan="2" nzLeft>
            {{ 'development.interview-config.colTable.stt' | translate }}
          </th>
          <th scope="col" nzWidth="120px" class="text-center" rowspan="2" nzLeft>
            {{ 'development.promulgate.search.proposeCode' | translate }}
          </th>
          <th scope="col" nzWidth="100px" rowspan="2" nzLeft>
            {{ 'development.interview-config.colTable.codeEmployee' | translate }}
          </th>
          <th scope="col" nzWidth="110px" rowspan="2" nzLeft>
            {{ 'development.interview-config.colTable.nameEmployee' | translate }}
          </th>

          <th scope="col" nzWidth="100px" rowspan="2">
            {{ 'development.proposed-unit.detail.employee.birthday' | translate }}
          </th>
          <th scope="col" nzWidth="100px" rowspan="2">
            {{ 'development.interview-config.colTable.dateMb' | translate }}
          </th>
          <th scope="col" nzWidth="200px">
            {{ 'development.interview-config.colTable.unit' | translate }}
          </th>
          <th scope="col" nzWidth="200px">
            {{ 'development.interview-config.colTable.title' | translate }}
          </th>
          <th scope="col" nzWidth="200px">
            {{ 'development.interview-config.colTable.proposeUnit' | translate }}
          </th>
          <th scope="col" nzWidth="200px">
            {{ 'development.interview-config.colTable.proposeTitle' | translate }}
          </th>
          <th scope="col" nzWidth="200px" rowspan="2">{{ 'development.interview-config.colTable.ykgpv' | translate }}</th>
          <th scope="col" nzWidth="120px" rowspan="2">
            {{ 'development.interview-config.colTable.dateInterview' | translate }}
          </th>
          <th scope="col" nzWidth="200px" rowspan="2">
            {{ 'development.interview-config.colTable.recruitmentFocalPoint' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="200px" rowspan="2">
            {{ 'development.interview-config.colTable.dmpv' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="100px" rowspan="2">
            {{ 'development.interview-config.colTable.codeHĐPV' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="300px" rowspan="2">
            {{ 'development.interview-config.colTable.memberHĐPV' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="110px" rowspan="2">
            {{ 'development.interview-config.colTable.pointInterview' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="150px" rowspan="2">
            {{ 'development.interview-config.colTable.interviewResult' | translate }}
            <span class="star">*</span>
          </th>

          <th scope="col" nzWidth="200px" rowspan="2">{{ 'development.interview-config.colTable.fileInterview' | translate }}</th>
          <th scope="col" nzWidth="100px" rowspan="2">{{ 'development.interview-config.colTable.idmo' | translate }}</th>
          <th scope="col" nzWidth="200px" rowspan="2">{{ 'development.interview-config.colTable.reasonForRefusing' | translate }}</th>



          <th scope="col" nzWidth="200px" rowspan="2">
            {{ 'development.interview-config.colTable.suitablePosition' | translate }}
            <span class="star">*</span>
          </th>
          <th scope="col" nzWidth="200px" rowspan="2">
            {{ 'development.interview-config.colTable.note' | translate }}
          </th>
        </tr>
        <tr></tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of optionGroups.controls; let i = index" [formGroupName]="i">
          <td class="stt text-center" nzLeft>{{ i + 1 }}</td>
          <td nzLeft>{{ item.get('proposeOptionCode')?.value }}</td>
          <td nzLeft>{{ item.get('employeeCode')?.value }}</td>
          <td nzLeft>{{ item.get('employeeName')?.value }}</td>
          <td>{{ item.get('birthDay')?.value | date: 'dd/MM/YYYY' }}</td>
          <td>{{ item.get('joinDate')?.value }}</td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item.get('employeeUnit')?.value">
            {{ item.get('employeeUnit')?.value }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item.get('employeeTitleName')?.value">
            {{ item.get('employeeTitleName')?.value }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item.get('contentUnit')?.value">
            {{ item.get('contentUnit')?.value }}
          </td>
          <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item.get('contentTitleName')?.value">
            {{ item.get('contentTitleName')?.value }}
          </td>
          <td>{{ item.get('interviewNote')?.value }}</td>
          <!-- Phần sửa -->
          <td >
            <nz-date-picker nzFormat="dd/MM/yyyy" nzPlaceHolder="{{ 'development.interview-config.colTable.dateInterview' | translate }}" formControlName="interviewDate">
            </nz-date-picker>
          </td>

          <td>
            <mb-input-text
              mbPlaceholderText="{{ 'development.interview-config.colTable.recruitmentFocalPoint' | translate }}"
              formControlName="recruitment"
              [mbMaxLength]="50"
              [mbType]="isSubmitted && item.get('recruitment')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('recruitment')?.errors"
              [mbErrors]="item.get('recruitment')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate }]"
            >
            </mb-input-text>
          </td>
          <td>
            <mb-input-text
              mbPlaceholderText="{{ 'development.interview-config.colTable.clueSetupPV' | translate }}"
              formControlName="setup"
              [mbType]="isSubmitted && item.get('setup')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('setup')?.errors"
              [mbErrors]="item.get('setup')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate }]"
              [mbMaxLength]="50"
            >
            </mb-input-text>
          </td>

          <td>
            <mb-input-text
              mbPlaceholderText="{{ 'development.interview-config.colTable.codeHDPV' | translate }}"
              formControlName="boardCode"
              [mbType]="isSubmitted && item.get('boardCode')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('boardCode')?.errors"
              [mbErrors]="item.get('boardCode')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate }]"
              [mbMaxLength]="10"
            >
            </mb-input-text>
          </td>
          <td>
            <mb-input-text
              mbPlaceholderText="{{ 'development.interview-config.colTable.memberHDPV' | translate }}"
              formControlName="boardMembers"
              [mbType]="isSubmitted && item.get('boardMembers')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('boardMembers')?.errors"
              [mbErrors]="item.get('boardMembers')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate }]"
              [mbMaxLength]="300"
            >
            </mb-input-text>
          </td>
          <td class="pointTd">
            <nz-input-number
              [nzMin]="0"
              [nzMax]="10"
              [nzStep]="0.1"
              formControlName="interviewPoint"
              class="interviewPoint"
              [mbType]="isSubmitted && item.get('interviewPoint')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('interviewPoint')?.errors"
              [mbErrors]="item.get('interviewPoint')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate  }]"
              value="0"
            ></nz-input-number>
          </td>
          <td>
            <mb-select
              formControlName="result"
              [mbDataSelects]="listInterviewResult"
              mbKeyLabel="name"
              mbKeyValue="code"
              mbPlaceholder="{{ 'development.interview-config.colTable.interviewResults' | translate }}"
              [mbType]="isSubmitted && item.get('result')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('result')?.errors"
              [mbErrors]="item.get('result')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate  }]"
              (mbSelect)="onChangeInterviewResults($event, i)"
            ></mb-select>
          </td>
          <td >
            <a (click)="downloadFile(item.get('fileDocIDInterview')?.value, item.get('fileNameInterview')?.value)">{{
              item.get('fileNameInterview')?.value
            }}</a>
          </td>
          <td >
            {{ item.get('idMO')?.value }}
          </td>
          <td >
            {{ item.get('reasonForRefusing')?.value }}
          </td>
          <td>
            <mb-input-text
              mbPlaceholderText="{{ 'development.interview-config.colTable.suitablePosition' | translate }}"
              formControlName="suitablePosition"
              [mbType]="isSubmitted && item.get('suitablePosition')?.errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && !!item.get('suitablePosition')?.errors"
              [mbErrors]="item.get('suitablePosition')?.errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.commonMessage.pleaseInformation' | translate }]"
              [mbMaxLength]="100"
            >
            </mb-input-text>
          </td>

          <td>
            <mb-input-text mbPlaceholderText="{{ 'development.interview-config.colTable.note' | translate }}" formControlName="note" [mbMaxLength]="100"> </mb-input-text>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </ng-container>
</form>

<div nz-row [nzGutter]="[32, 16]" class="formFile">
  <div nz-col class="gutter-row" nzLg="6" [formGroup]="formInterview">
    <mb-input-text
          [mbDisable]="typeAction === screenType.detail"
          [mbMaxLength]="10"
          mbPlaceholderText="{{ 'development.interview-config.colTable.idmo' | translate }}"
          mbLabelText="{{ 'development.interview-config.colTable.idmo' | translate }}"
          formControlName="idmo"
          [mbType]="isSubmitted && formInterview.controls['idmo'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && formInterview.controls['idmo'].errors != null"
          [mbErrors]="formInterview.controls['idmo'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-input-text>

  </div>
  <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section"> {{ 'development.interview-config.colTable.attachmentSheet' | translate }} </span><br/>
      <nz-upload
        [(nzFileList)]="fileListInterview"
        [nzBeforeUpload]="beforeUploadInterview"
        [nzDisabled]="fileListInterview.length === 1"
        [nzMultiple]="false"
        nzListType="text"
        [nzRemove]="removeFile"

      >
        <button *ngIf="typeAction === screenType.update" class="reportCard__uploadBtn" nz-button nzType="primary">
          <span>
            <em nz-icon nzType="upload"></em>
          </span>
        </button>
      </nz-upload>
  </div>
</div>



</nz-card>
